Zum Hauptinhalt springen

List directories belonging to a Project

GET/v2/projects/{projectId}/filesystem-directories
API-Version
v2
Request-Methode
GET
Operation-ID
project-file-system-get-directories

Request​

  • projectIdstringrequired

    ID of the Project to list the directories for.

Responses​

Format
application/json
Beschreibung

OK

  • *
Content-Type: application/json

null
{
"$ref": "#/components/schemas/de.mittwald.v1.project.FilesystemDirectoryListing"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/filesystem-directories?directory=string&name=string&max_depth=123&type=string&executable=true&hidden=true
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.projectFileSystem.projectFileSystemGetDirectories({
"projectId": "string",
"queryParameters": {
"directory": "string",
"name": "string",
"max_depth": 123,
"type": [
"string"
],
"executable": true,
"hidden": true
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\ProjectFileSystem\ProjectFileSystemGetDirectories\ProjectFileSystemGetDirectoriesRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ProjectFileSystemGetDirectoriesRequest(
projectId: "string"
))
->withDirectory("string")
->withName("string")
->withMaxDepth(123)
->withType(["string"])
->withExecutable(true)
->withHidden(true);
$response = $client->projectFileSystem()->projectFileSystemGetDirectories($request);

var_dump($response->getBody();

Auf dieser Seite